Name:             umockdev
Version:          0.11.3
Release:          3
Summary:          Mock hardware devices
License:          LGPLv2+
URL:              https://github.com/martinpitt/%{name}
Source0:          https://github.com/martinpitt/%{name}/archive/%{version}.tar.gz

BuildRequires:    autoconf automake libtool gtk-doc gobject-introspection-devel glib2-devel
BuildRequires:    libgudev1-devel systemd-devel vala chrpath python3 gphoto2

%description
umockdev mocks Linux devices for creating integration tests for hardware related libraries and programs.
It also provides tools to record the properties and behaviour of particular devices, and to run a
program or test suite under a test bed with the previously recorded devices loaded.

%package devel
Summary:          umockdev development kit.
Requires:         %{name} = %{version}-%{release}

%description devel
The umockdev-devel package contains umockdev development library.

%prep
%autosetup  -n %{name}-%{version} -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure --disable-static --enable-gtk-doc
%make_build

%install
%make_install

%delete_la

chrpath --delete %{buildroot}%{_bindir}/{umockdev-record,umockdev-run}
chrpath --delete %{buildroot}%{_libdir}/{libumockdev.so.*,libumockdev-preload.so.*}

rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/umockdev

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING
%doc README.rst
%{_bindir}/umockdev-*
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/UMockdev-1.0.typelib

%files devel
%doc docs/script-format.txt docs/examples/battery.c docs/examples/battery.py
%{_libdir}/libumockdev.so
%{_libdir}/pkgconfig/umockdev-1.0.pc
%{_datadir}/gir-1.0/UMockdev-1.0.gir
%{_includedir}/umockdev-1.0
%{_datadir}/gtk-doc/html/umockdev/
%{_datadir}/vala/vapi/umockdev-1.0.vapi

%changelog
* Tue Jan 07 2019 yangjian<yangjian79@huawei.com> - 0.11.3-3
- Package init
